
struct FeedEntryData {

    let entryId: String

    let title: String?

    let textAboveTitle: String

    let link: Link?

    let tags: [Tag]

    let text: [String]

    let images: [ImageSet]

    init(entryId: String, title: String?, textAboveTitle: String, link: Link?, tags: [Tag], text: [String], images: [ImageSet]) {
        self.entryId = entryId
        self.title = title
        self.textAboveTitle = textAboveTitle
        self.link = link
        self.tags = tags
        self.text = text
        self.images = images
    }

    struct Link {

        let url: String

        let text: String
        
    }

    struct Tag {

        let name: String

        let url: String

    }
}
